mscorlib 4.0.0.0 System.Enum The different kinds of code contract that can fail.
- Field
  4.0.0.0
  System.Diagnostics.Contracts.ContractFailureKind An Assert contract.
- Field
  4.0.0.0
  System.Diagnostics.Contracts.ContractFailureKind An Assume contract.
- Field
  4.0.0.0
  System.Diagnostics.Contracts.ContractFailureKind A type-level Invariant contract.
- Field
  4.0.0.0
  System.Diagnostics.Contracts.ContractFailureKind A Post-Condition contract.
- Field
  4.0.0.0
  System.Diagnostics.Contracts.ContractFailureKind A Post-Condition contract, that is only active when an exception is thrown to be handled outside the current method.
- Field
  4.0.0.0
  System.Diagnostics.Contracts.ContractFailureKind A Pre-Condition contract.